<?php

class OTGS_Fancybox_Gallery_Loader {
	public static function init() {
		add_action( 'plugins_loaded', array( __CLASS__, 'init_hooks' ) );
	}

	static function init_hooks() {
		global $OTGS_Fancybox_Gallery;
		if ( !is_admin() ) { // admin actions
			add_action( 'wp_enqueue_scripts', array( $OTGS_Fancybox_Gallery, 'front_end_scripts' ) );
			add_filter( 'wp_get_attachment_link', array( $OTGS_Fancybox_Gallery, 'get_attachment_link' ), 10, 6 );
		}
	}
}