/*globals jQuery */

jQuery(document).ready(function ($) {

	$(".fancybox").fancybox({
		beforeShow: function () {

			/* Add watermark */
			var watermark = $('<div class="watermark"></div>');
			watermark.bind("contextmenu", function () {
				return false;
				/* Disables right click */
			}).prependTo($.fancybox.inner);

			$.fancybox.wrap.bind("contextmenu", function () {
				return false;
			});

			/** @namespace settings.watermark_url */
			/** @namespace settings.watermark_position */
			/** @namespace settings.watermark_padding */
			if (settings.watermark_url != undefined) {
				var img = $('<img/>');
				img.attr('src', settings.watermark_url);
				img.appendTo(watermark);

				watermark.css('position', 'absolute');

				switch (settings.watermark_position) {
					case 'tl':
						watermark.css('top', settings.watermark_padding + 'px');
						watermark.css('left', settings.watermark_padding + 'px');
						break;
					case 'tc':
						watermark.css('top', settings.watermark_padding + 'px');
						watermark.css('text-align', 'center');
						watermark.css('width', '100%');
						break;
					case 'tr':
						watermark.css('top', settings.watermark_padding + 'px');
						watermark.css('right', settings.watermark_padding + 'px');
						break;
					case 'bl':
						watermark.css('bottom', settings.watermark_padding + 'px');
						watermark.css('left', settings.watermark_padding + 'px');
						break;
					case 'bc':
						watermark.css('top', settings.watermark_padding + 'px');
						watermark.css('text-align', 'center');
						watermark.css('width', '100%');
						break;
					default:
						watermark.css('bottom', settings.watermark_padding + 'px');
						watermark.css('right', settings.watermark_padding + 'px');
				}
			}
		}
	});
});