<?php
/*

**************************************************************************

Plugin Name:  OTGS FancyBox Gallery
Plugin URI:   #
Description:  Makes the standard gallery shortcode work using FancyBox
Version:      0.1b1
Author:       OnTheGo Systems
Author URI:   http://onthegosystems.com/

**************************************************************************

Copyright (C) 2014 OnTheGoSystems

This program is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program.  If not, see <http://www.gnu.org/licenses/>.

**************************************************************************/

if ( defined( 'OTGS_FG_VERSION' ) ) {
	return;
}
define( 'OTGS_FG_VERSION', '0.1' );
define( 'OTGS_FG_PATH', dirname( __FILE__ ) );
define( 'OTGS_FG_FOLDER', basename( OTGS_FG_PATH ) );

if ( ( defined( 'FORCE_SSL_ADMIN' ) && FORCE_SSL_ADMIN ) || is_ssl() ) {
	define( 'OTGS_FG_URL', rtrim( str_replace( 'http://', 'https://', WP_PLUGIN_URL ), '/' ) . '/' . OTGS_FG_FOLDER );
} else {
	define( 'OTGS_FG_URL', rtrim( WP_PLUGIN_URL ) . '/' . OTGS_FG_FOLDER );
}

require_once 'inc/functions.php';
require_once 'inc/otgs-fancybox-gallery.class.php';
require_once 'admin/otgs-fancybox-gallery-options.class.php';